/**** header images in postst and homepage ****/

header img,
.entry-image img {
	width: 100%;
	padding: 0;
	object-fit: cover;
	object-position: 50% 50%;
}


/**** clearfix if needed ****/

.clearfix::before,
.clearfix::after {
  content: " ";
  display: table;
}

.clearfix::after {
  clear: both;
}


/**** basics ****/

body {
	background-color: black;
}
main {
	background-color: white;
}

p {
	line-height: 2.1rem;
	margin: 1rem 0;
}


/**** paragraphs ****/

.screen-reader-text {
	display: none;
}

a {
	text-decoration: none;
	color: var( --fontcolor );
}

ul {
	margin: 0.25rem 0 0;
}
ul {
	list-style-type: square;
}

dfn, cite, em, i {
	font-style: italic;
}

blockquote {
	margin: 1rem 0 0;
}

address {
	margin: 1rem 0 0;
}

pre {
	background: #eee;
	font-family: "Courier 10 Pitch", Courier, monospace;
	font-size: 15px;
	font-size: 0.9375rem;
	line-height: 1.6;
	margin-bottom: 1.6em;
	max-width: 100%;
	overflow: auto;
	padding: 1.6em;
}

code, kbd, tt, var {
	font-family: Monaco, Consolas, "Andale Mono", "DejaVu Sans Mono", monospace;
	font-size: 15px;
	font-size: 0.9375rem;
}

abbr, acronym {
	border-bottom: 1px dotted #666;
	cursor: help;
}

mark, ins {
	background: #fff9c0;
	text-decoration: none;
}

big {
	font-size: 125%;
}

small {
	font-family: 'Sans';
	font-size: 0.7rem;
	margin: 1rem 0 0;
}

b,
strong {
	font-family: 'SansBold';
}

.search-result {
	padding: 0 0.05rem;
	background-color: rgb( 0,255,255 );
}



/**** page layout ****/


.entry-thumbnail {
	line-height: 0; /** hack to avoid space after img **/
}

.entry-wrapper {
	margin: 0 auto;
	max-width: 1024px;
	padding: 1rem;
}

.entry-wrapper a {
	color: var( --neutraldark );
}
.entry-wrapper a:hover {
	color: var( --companycolor );
	transition: color .2s ease-out;
}

.entry-meta {
	display: inline-block;
	padding-bottom: 0.2rem;
	border-bottom: solid 1px var( --neutralsemilight );
}
.entry-meta span {
	display: inline-block;
}
.entry-meta span:not(:last-child)::after {
	content: "\00a0-\00a0";
}




/**** Standard Button ****/
.button {
	/* Design */
	padding: 0.4rem 0.8rem;
	background-color: var( --neutralsemidark );
	border-radius: 0.1rem;
	color: white;
}
.button:hover {
	/* Design */
	background-color: var( --companycolor );
	transition: background-color .2s ease-out;
}




/**** Entry Post Navigation ****/

nav.postnavigator {
	display: flex;
	/* Design */
	padding: 1rem;
	border-top: 1px solid var( --neutralsemilight );
	justify-content: center;
	background-color: var( --neutrallight );
}
nav.postnavigator .page-numbers {
}
nav.postnavigator .page-numbers:not(:last-child) {
    margin-right: 0.2rem;
}
nav.postnavigator .page-numbers.prev {
}
nav.postnavigator .page-numbers.next {
}
@media screen and ( max-width: 1023px ) {
	nav.postnavigator .page-numbers .nav-short {
		display: none;
	}
}

/**** Navigation Pagination ****/

nav.pagination {
	display: flex;
	/* Design */
	justify-content: center;
	background-color: var( --neutrallight );
}

nav.pagination .nav-links {
	display: flex;
}
nav.pagination .page-numbers {
}
nav.pagination .page-numbers:not(:last-child) {
    margin-right: 0.2rem;
}
nav.pagination .page-numbers.prev {
}
nav.pagination .page-numbers.current,
nav.pagination .page-numbers.dots {
	background-color: var( --neutralsemilight );
}
nav.pagination .page-numbers.next {
}
@media screen and ( max-width: 1023px ) {
	nav.pagination .page-numbers .nav-short {
		display: none;
	}
}

/**** Post Edit ****/
nav.edit-nav {
	display: flex; /** eliminates space between a's **/#
}
nav.edit-nav .post-edit-link {
	padding: 1rem;
	background-color: rgb(200,200,200);
}


/**** Search Bar ****/
.search-bar {
	display: flex;
	justify-content: center;
	padding: 1rem;
	background-color: rgba( 0,0,0,0.1 );
	border: 1px solid rgb( 0,0,0 );
}
.search-bar .searchform {

}
.search-bar .searchform input[type=text] {
	border: 1px solid rgb( 255,0,0 );
}
.search-bar .searchform input[type=submit] {
}


/**** Two Column Wrapper ****/
.entry-sidebar-wrapper {
	display: flex;
	margin: 0 auto;
	max-width: 1280px;
}


/**** Sidebar Main ****/
.sidebar-main {
	width: 30rem;
	padding: 0 1rem;
	border-left: 1px solid rgb( 128,128,128 );
}




/****----------------------------------------------****/


/**** tile layout ****/

@media screen and ( min-width: 1024px ) {
/**** desktop ****/

	.entry-list.tile-layout a.enclosed-article article p {
		padding: 0 1rem 0 4rem;
	}

	.entry-list.tile-layout a.enclosed-article article {
		max-width: 1280px;
		display: flex;
		margin: 0 auto;
	}
	.entry-list.tile-layout a.enclosed-article article .entry-summary {
		width: 50%;
		box-sizing: border-box;
		padding: 6rem 4rem 2rem 2rem;
	}
	.entry-list.tile-layout a.enclosed-article article .entry-thumbnail {
		width: 50%;
	}
	.entry-list.tile-layout a.enclosed-article article .entry-thumbnail img {
		width: 100%;
		object-fit: cover;
	}
	.entry-list.tile-layout a.enclosed-article .entry-thumbnail .placeholder {
		display: block;
		width: 100%;
		background-color: var( --neutrallsemilight );
	}
	.entry-list.tile-layout a.enclosed-article:nth-child(even) article .entry-summary {
		order: 1;
	}
	.entry-list.tile-layout a.enclosed-article:nth-child(even) article .entry-thumbnail {
		order: 2;
	}

}

@media screen and ( max-width: 1023px ) {
/**** tablet & mobile ****/
	.entry-list.tile-layout a.enclosed-article article {
		margin: 5%;
	}
	.entry-list.tile-layout a.enclosed-article article .entry-summary {
		box-sizing: border-box;
		padding: 1rem;
		border: 1px solid rgb(160,160,160);
	}
	.entry-list.tile-layout a.enclosed-article article .entry-thumbnail img {
		width: 100%;
		object-fit: cover;
	}

}


/**** actual layout ****/

@media screen and ( min-width: 1024px ) {
/**** desktop ****/
	.entry-list.actual-layout a.enclosed-article article p {
		padding: 0 1rem 0 0;
	}
	.entry-list.actual-layout a.enclosed-article article {
		max-width: 1280px;
		display: flex;
		margin: 4rem auto;
	}
	.entry-list.actual-layout a.enclosed-article article .entry-summary {
		width: 75%;
		box-sizing: border-box;
		padding: 0 2rem 0 2rem;
	}
	.entry-list.actual-layout a.enclosed-article article .entry-thumbnail {
		width: 25%;
	}
	.entry-list.actual-layout a.enclosed-article article .entry-thumbnail img {
		width: 100%;
		object-fit: cover;
	}
	.entry-list.actual-layout a.enclosed-article .entry-thumbnail .placeholder {
		display: block;
		width: 100%;
		background-color: rgba( 0, 0, 0, 0.05 );
	}
	.entry-list.actual-layout a.enclosed-article {
		margin: 2rem 0;
	}
	.entry-list.actual-layout a.enclosed-article:first-child article {
		margin-top: 0;
	}
}

@media screen and ( max-width: 1023px ) {
/**** tablet & mobile ****/
	.entry-list.actual-layout a.enclosed-article article {
		margin: 5%;
	}
	.entry-list.actual-layout a.enclosed-article article .entry-summary {
		box-sizing: border-box;
		padding: 1rem;
		border: 1px solid rgb(160,160,160);
	}
	.entry-list.actual-layout a.enclosed-article article .entry-thumbnail img {
		width: 100%;
		object-fit: cover;
	}
}


/**** circle layout ****/

.entry-list.circle-layout {
	max-width: 1280px;
	margin: 0 auto;
	display: flex;
	flex-wrap: wrap;
	align-items: flex-start;
	justify-content: space-evenly;
}
.entry-list.circle-layout a.enclosed-article {
	display: inline-block;
	text-align: center;
	min-width: 22rem;
	width: calc(100%*0.3);
}
.entry-list.circle-layout a.enclosed-article .entry-summary {
	padding: 0 2rem 2rem 2rem;
}
.entry-list.circle-layout a.enclosed-article .entry-thumbnail {
	box-sizing: border-box;
	padding: 2rem;
}
.entry-list.circle-layout a.enclosed-article .entry-thumbnail img {
	object-fit: cover;
	width: 100%;
	border-radius: 50%;
}
.entry-list.circle-layout a.enclosed-article .entry-thumbnail .placeholder {
	width: 100%;
	background-color: rgba( 0, 0, 0, 0.05 );
	border-radius: 50%;
	display: inline-block;
}